[Lunar-commits] <moonbase> irda-utils: I have just bought new irda dongle
Zbigniew Luszpinski
zbiggy at lunar-linux.org
Mon Mar 31 03:13:20 CEST 2008
commit 00f8421f49a3cda3786aa979e39fdf69a112edf6
Author: Zbigniew Luszpinski <zbiggy at lunar-linux.org>
Date: Mon Mar 31 03:13:20 2008 +0200
irda-utils: I have just bought new irda dongle
and have fun watching Lunar talking to my mobile.
---
utils/irda-utils/BUILD | 15 ++++++++++++
utils/irda-utils/DETAILS | 17 +++++++++++++
utils/irda-utils/irda | 58 ++++++++++++++++++++++++++++++++++++++++++++++
3 files changed, 90 insertions(+), 0 deletions(-)
diff --git a/utils/irda-utils/BUILD b/utils/irda-utils/BUILD
new file mode 100644
index 0000000..044de66
--- /dev/null
+++ b/utils/irda-utils/BUILD
@@ -0,0 +1,15 @@
+(
+
+# fix for incomplete Lunar kernel headers
+for file in `grep -r asm/io.h * | cut -d: -f1`;
+do sedit "s at asm/io.h at sys/io.h@" $file; done &&
+for file in `grep -r asm/system.h * | cut -d: -f1`;
+do sedit "s at asm/system.h@/usr/src/linux/include/asm/system.h@" $file; done &&
+
+sedit 's/-lpci/-lpci -lz/' smcinit/Makefile &&
+
+install -m755 ${SCRIPT_DIRECTORY}/irda etc/irda.rc &&
+
+default_build
+
+) > $C_FIFO 2>&1
diff --git a/utils/irda-utils/DETAILS b/utils/irda-utils/DETAILS
new file mode 100644
index 0000000..240e74e
--- /dev/null
+++ b/utils/irda-utils/DETAILS
@@ -0,0 +1,17 @@
+ MODULE=irda-utils
+ VERSION=0.9.18
+ SOURCE=${MODULE}-${VERSION}.tar.gz
+ WEB_SITE=http://irda.sourceforge.net/
+ SOURCE_URL=${SFORGE_URL}/irda/
+ SOURCE_VFY=sha1:00cd918e373a1f7735dbf8af3a29ade4564ff763
+ ENTERED=20080329
+ UPDATED=20080330
+ SHORT="tools for using an IrDA transmission devices"
+cat << EOF
+IrDA(tm) (Infrared Data Association) is an industry standard
+for infrared wireless communication. Most laptops sold today
+are equipped with an IrDA compliant infrared transceiver,
+which enables you to communicate with devices such as:
+printers, modems, fax, LAN, and other laptops.
+Speeds range from 2400bps-16Mbps.
+EOF
diff --git a/utils/irda-utils/irda b/utils/irda-utils/irda
new file mode 100644
index 0000000..7565f50
--- /dev/null
+++ b/utils/irda-utils/irda
@@ -0,0 +1,58 @@
+#!/bin/sh
+#
+# irda This shell script takes care of starting and stopping
+# IrDA support
+#
+# chkconfig: 2345 45 96
+#
+# description: IrDA stack for Linux
+#
+
+# Source IrDA networking configuration.
+. /etc/sysconfig/irda
+
+# Check that irda is up.
+[ ${IRDA} = "no" ] && exit 0
+
+[ -f /usr/sbin/irattach ] || exit 0
+
+ARGS=
+if [ $DONGLE ]; then
+ ARGS="$ARGS -d $DONGLE"
+fi
+if [ "$DISCOVERY" = "yes" ];then
+ ARGS="$ARGS -s"
+fi
+
+# See how we were called.
+case "$1" in
+ start)
+ # Attach irda device
+ echo -n "Starting IrDA: "
+ /usr/sbin/irattach ${DEVICE} ${ARGS}
+ touch /var/lock/subsys/irda
+ echo
+ ;;
+ stop)
+ # Stop service.
+ echo -n "Shutting down IrDA: "
+ killproc irattach
+ rm -f /var/lock/subsys/irda
+ echo
+ ;;
+ status)
+ if [ -f /var/lock/subsys/irda ];
+ then echo -n "IrDA already running"
+ else echo -n "IrDA is not running"
+ fi
+ ;;
+ restart|reload)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "Usage: irda {start|stop|restart|reload|status}"
+ exit 1
+esac
+
+exit 0
More information about the Lunar-commits
mailing list